Import-Module .\DeviceManagement.psd1

write-host 'Finding all Hidden Microsoft Hyper-V Network Adapters'
$HiddenNICs = get-device -ShowNonpresentPresentDevices -Class GUID_DEVCLASS_NET | ? { $_.IsPresent -eq $False -and $_.Name -like 'Microsoft Hyper-V Network Adapter*' }

if( $HiddenNICs -or $HiddenNICs.count -gt 0 ) {
	write-host 'Removing all Hidden Microsoft Hyper-V Network Adapters'
	$HiddenNICs | Uninstall-Device -Confirm:$false
} else {
	write-host 'No Hidden Microsoft Hyper-V Network Adapters found'
}

read-host